es.gob.fnmt.gui

## Class ProgressDialogUI

- java.lang.Object
- - es.gob.fnmt.gui.ProgressDialogUI

-     public class ProgressDialogUI
      extends java.lang.Object

  Custom progress dialog to manage internal progress dialog on default fragments (es.gob.fnmt.gui.fragment.NFCCommReaderFragment and es.gob.fnmt.gui.fragment.NetworkCommunicationFragment).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProgressDialogUI.Builder` Java builder pattern class used to build ProgressDialogUI instance.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_JUMP_PROGRESS_SIZE`
    `static int` | `DEFAULT_MAX_PROGRESS_SIZE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getJumpSize()`
    `int` | `getMax()` Return the max value of the progress dialog.
    `int` | `getMaxSize()`
    `android.app.ProgressDialog` | `getProgressDialog()` Retrieve the android.app.ProgressDialog instance of the object.
    `void` | `incrementProgress()` Update the progress bar value adding default increment.
    `void` | `incrementProgressBy(int increment)` Update the progress bar value adding the value passed.
    `boolean` | `isShowing()` To know if the dialog is showing
    `void` | `setMax(int maxProgress)` Set the max value of the progress dialog.
    `void` | `setMessage(java.lang.String message)` Update the message to show in the progress dialog.
    `void` | `setProgress(int progress)` Reset the progress value of the progress dialog.
    `void` | `setTitle(java.lang.String title)` Update the title of the progress dialog.
    `void` | `show()` Show the dialog.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_JUMP_PROGRESS_SIZE

          public static final int DEFAULT_JUMP_PROGRESS_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_MAX_PROGRESS_SIZE

          public static final int DEFAULT_MAX_PROGRESS_SIZE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getJumpSize

          public int getJumpSize()

    - #### getMax

          public int getMax()

      Return the max value of the progress dialog.
      Returns:
        the max value.

    - #### getMaxSize

          public int getMaxSize()

    - #### getProgressDialog

          public android.app.ProgressDialog getProgressDialog()

      Retrieve the android.app.ProgressDialog instance of the object.
      Returns:
        the progress dialog instance of android.app.ProgressDialog.

    - #### incrementProgress

          public void incrementProgress()

      Update the progress bar value adding default increment.

    - #### incrementProgressBy

          public void incrementProgressBy(int increment)

      Update the progress bar value adding the value passed.
      Parameters:
        `increment` - the increment.

    - #### isShowing

          public boolean isShowing()

      To know if the dialog is showing
      Returns:
        true if the dialog is showing, false otherwise.

    - #### setMax

          public void setMax(int maxProgress)

      Set the max value of the progress dialog.
      Parameters:
        `maxProgress` - max value.

    - #### setMessage

          public void setMessage(java.lang.String message)

      Update the message to show in the progress dialog.
      Parameters:
        `message` - the string message.

    - #### setProgress

          public void setProgress(int progress)

      Reset the progress value of the progress dialog.
      Parameters:
        `progress` - value to set.

    - #### setTitle

          public void setTitle(java.lang.String title)

      Update the title of the progress dialog.
      Parameters:
        `title` - the string to set as title.

    - #### show

          public void show()

      Show the dialog.